org.apache.sysds.runtime.compress.estim

## Class CompressedSizeInfo

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.CompressedSizeInfo

    public class CompressedSizeInfo
    extends Object

A helper reusable object for maintaining information about estimated compression

### Field Summary

Fields
`List<CompressedSizeInfoColGroup>` `compressionInfo`

### Constructor Summary

Constructors
Constructor and Description
`CompressedSizeInfo(List<CompressedSizeInfoColGroup> compressionInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEstimatedDistinct()`
`CompressedSizeInfoColGroup` `getGroupInfo(int index)`
`List<CompressedSizeInfoColGroup>` `getInfo()`
`String` `getNrColumnsString()`
`int` `getNumberColGroups()`
`void` `joinEmpty(int nRows)`
`long` `memoryEstimate()` Method for returning the calculated memory usage from this specific compression plan.
`void` `setInfo(List<CompressedSizeInfoColGroup> info)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### compressionInfo

    public List<CompressedSizeInfoColGroup> compressionInfo

### Constructor Detail

#### CompressedSizeInfo

    public CompressedSizeInfo(List<CompressedSizeInfoColGroup> compressionInfo)

### Method Detail

#### getGroupInfo

    public CompressedSizeInfoColGroup getGroupInfo(int index)

#### getInfo

    public List<CompressedSizeInfoColGroup> getInfo()

#### setInfo

    public void setInfo(List<CompressedSizeInfoColGroup> info)

#### joinEmpty

    public void joinEmpty(int nRows)

#### memoryEstimate

    public long memoryEstimate()

Method for returning the calculated memory usage from this specific compression plan.

Returns:
  The in memory estimate as a long counting bytes.

#### getNumberColGroups

    public int getNumberColGroups()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getEstimatedDistinct

    public String getEstimatedDistinct()

#### getNrColumnsString

    public String getNrColumnsString()